## org.firebirdsql.management
Class FBManager

    java.lang.Object
      org.firebirdsql.management.FBManager

All Implemented Interfaces:
  FBManagerMBean

    public class FBManager

extends Object
implements FBManagerMBean

The class `FBManager` is a simple jmx mbean that allows you to create and drop databases. in particular, they can be created and dropped using the jboss service lifecycle operations start and stop.

Version:
  1.0
Author:
  David Jencks

Constructor Summary
`FBManager()`
`FBManager(GDSType type)`
`FBManager(String type)`

Method Summary
`void` `createDatabase(String fileName, String user, String password)`
`void` `dropDatabase(String fileName, String user, String password)`
`String` `getFileName()` mbean get-set pair for field fileName Get the value of fileName
`String` `getName()`
`String` `getPassword()` mbean get-set pair for field password Get the value of password
`int` `getPort()`
`String` `getServer()`
`String` `getState()`
`String` `getType()`
`String` `getUserName()` mbean get-set pair for field userName Get the value of userName
`boolean` `isCreateOnStart()` mbean get-set pair for field createOnStart Get the value of createOnStart
`boolean` `isDatabaseExists(String fileName, String user, String password)`
`boolean` `isDropOnStop()` mbean get-set pair for field dropOnStop Get the value of dropOnStop
`boolean` `isForceCreate()` Get the ForceCreate value.
`void` `setCreateOnStart(boolean createOnStart)` Set the value of createOnStart
`void` `setDropOnStop(boolean dropOnStop)` Set the value of dropOnStop
`void` `setFileName(String fileName)` Set the value of fileName
`void` `setForceCreate(boolean forceCreate)` Set the ForceCreate value.
`void` `setPassword(String password)` Set the value of password
`void` `setPort(int port)`
`void` `setServer(String host)`
`void` `setType(String type)`
`void` `setUserName(String userName)` Set the value of userName
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBManager

    public FBManager()

### FBManager

    public FBManager(GDSType type)

### FBManager

    public FBManager(String type)

Method Detail

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `FBManagerMBean`
  Throws:
    `Exception`

### stop

    public void stop()
              throws Exception

  Specified by:
    `stop` in interface `FBManagerMBean`
  Throws:
    `Exception`

### getState

    public String getState()

  Specified by:
    `getState` in interface `FBManagerMBean`

### getName

    public String getName()

  Specified by:
    `getName` in interface `FBManagerMBean`

### setServer

    public void setServer(String host)

  Specified by:
    `setServer` in interface `FBManagerMBean`

### getServer

    public String getServer()

  Specified by:
    `getServer` in interface `FBManagerMBean`

### getType

    public String getType()

### setPort

    public void setPort(int port)

  Specified by:
    `setPort` in interface `FBManagerMBean`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `FBManagerMBean`

### getFileName

    public String getFileName()

  mbean get-set pair for field fileName Get the value of fileName

  Specified by:
    `getFileName` in interface `FBManagerMBean`
  Returns:
    value of fileName

### setType

    public void setType(String type)

### setFileName

    public void setFileName(String fileName)

  Set the value of fileName

  Specified by:
    `setFileName` in interface `FBManagerMBean`
  Parameters:
    `fileName` - Value to assign to fileName

### getUserName

    public String getUserName()

  mbean get-set pair for field userName Get the value of userName

  Specified by:
    `getUserName` in interface `FBManagerMBean`
  Returns:
    value of userName

### setUserName

    public void setUserName(String userName)

  Set the value of userName

  Specified by:
    `setUserName` in interface `FBManagerMBean`
  Parameters:
    `userName` - Value to assign to userName

### getPassword

    public String getPassword()

  mbean get-set pair for field password Get the value of password

  Specified by:
    `getPassword` in interface `FBManagerMBean`
  Returns:
    value of password

### setPassword

    public void setPassword(String password)

  Set the value of password

  Specified by:
    `setPassword` in interface `FBManagerMBean`
  Parameters:
    `password` - Value to assign to password

### isCreateOnStart

    public boolean isCreateOnStart()

  mbean get-set pair for field createOnStart Get the value of createOnStart

  Specified by:
    `isCreateOnStart` in interface `FBManagerMBean`
  Returns:
    value of createOnStart

### setCreateOnStart

    public void setCreateOnStart(boolean createOnStart)

  Set the value of createOnStart

  Specified by:
    `setCreateOnStart` in interface `FBManagerMBean`
  Parameters:
    `createOnStart` - Value to assign to createOnStart

### isDropOnStop

    public boolean isDropOnStop()

  mbean get-set pair for field dropOnStop Get the value of dropOnStop

  Specified by:
    `isDropOnStop` in interface `FBManagerMBean`
  Returns:
    value of dropOnStop

### setDropOnStop

    public void setDropOnStop(boolean dropOnStop)

  Set the value of dropOnStop

  Specified by:
    `setDropOnStop` in interface `FBManagerMBean`
  Parameters:
    `dropOnStop` - Value to assign to dropOnStop

### isForceCreate

    public boolean isForceCreate()

  Get the ForceCreate value.

  Specified by:
    `isForceCreate` in interface `FBManagerMBean`
  Returns:
    the ForceCreate value.

### setForceCreate

    public void setForceCreate(boolean forceCreate)

  Set the ForceCreate value.

  Specified by:
    `setForceCreate` in interface `FBManagerMBean`
  Parameters:
    `forceCreate` - The new ForceCreate value.

### createDatabase

    public void createDatabase(String fileName,
                               String user,
                               String password)
                        throws Exception

  Specified by:
    `createDatabase` in interface `FBManagerMBean`
  Throws:
    `Exception`

### dropDatabase

    public void dropDatabase(String fileName,
                             String user,
                             String password)
                      throws Exception

  Specified by:
    `dropDatabase` in interface `FBManagerMBean`
  Throws:
    `Exception`

### isDatabaseExists

    public boolean isDatabaseExists(String fileName,
                                    String user,
                                    String password)
                             throws Exception

  Specified by:
    `isDatabaseExists` in interface `FBManagerMBean`
  Throws:
    `Exception`

Copyright © 2001-2010. All Rights Reserved.